Subject: autom4te version is not remembered (for maintainer mode)

From: Vincent Lefevre <[email-masked]>
Date: Thu, 12 Jun 2014 18:22:30 +0200

I use 2 autoconf versions:

$ autoconf --version
autoconf (GNU Autoconf) 2.69
[...]
$ $HOME/autoconf/bin/autoconf --version
autoconf (GNU Autoconf) 2.69.115-251d1-dirty
[...]

With MPFR:

$ $HOME/autoconf/bin/autoreconf
$ ./configure AUTOCONF=$HOME/autoconf/bin/autoconf AUTOHEADER=$HOME/autoconf/bin/autoheader AUTOM4TE=$HOME/autoconf/bin/autom4te
$ make clean
$ touch configure.ac
$ make
CDPATH="${ZSH_VERSION+.}:" && cd . && /home/vlefevre/dash/bin/dash /home/vlefevre/software/mpfr/missing aclocal-1.14 -I m4
CDPATH="${ZSH_VERSION+.}:" && cd . && /home/vlefevre/autoconf/bin/autoconf
 cd . && /home/vlefevre/dash/bin/dash /home/vlefevre/software/mpfr/missing automake-1.14 --gnu
aclocal.m4:17: warning: this file was generated for autoconf 2.69.
You have another version of autoconf.  It may work, but is not guaranteed to.
If you have problems, you may need to regenerate the build system entirely.
To do so, use the procedure documented by the package, typically 'autoreconf'.
[...]

If I use

  export AUTOM4TE=$HOME/autoconf/bin/autom4te

everything is fine, but the autom4te version should be remembered
via "configure" settings because the locally changed environment
is lost with the terminal session.

I suppose that the AUTOM4TE value should be defined in the Makefile
(just like AUTOCONF and AUTOHEADER) and provided to the aclocal
invocation.

The problem can't even be solved by the following:

$ $HOME/autoconf/bin/autoreconf
$ ./configure AUTOCONF=$HOME/autoconf/bin/autoconf AUTOHEADER=$HOME/autoconf/bin/autoheader ACLOCAL="env AUTOM4TE=$HOME/autoconf/bin/autom4te aclocal"
$ make clean
$ touch configure.ac
$ make
CDPATH="${ZSH_VERSION+.}:" && cd . && env AUTOM4TE=/home/vlefevre/autoconf/bin/autom4te aclocal -I m4
CDPATH="${ZSH_VERSION+.}:" && cd . && /home/vlefevre/autoconf/bin/autoconf
 cd . && /home/vlefevre/dash/bin/dash /home/vlefevre/software/mpfr/missing automake-1.14 --gnu
/home/vlefevre/dash/bin/dash ./config.status --recheck
aclocal.m4:17: warning: this file was generated for autoconf 2.69.115-251d1-dirty.
You have another version of autoconf.  It may work, but is not guaranteed to.
If you have problems, you may need to regenerate the build system entirely.
To do so, use the procedure documented by the package, typically 'autoreconf'.

-- 
Vincent Lefèvre <[email-masked]> - Web: <https://www.vinc17.net/>
100% accessible validated (X)HTML - Blog: <https://www.vinc17.net/blog/>
Work: CR INRIA - computer arithmetic / AriC project (LIP, ENS-Lyon)